/*
 * outputserial.h: Serial output for the Atmolight-plugin
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef _ATMO_OUTPUTSERIAL_H
#define _ATMO_OUTPUTSERIAL_H

// --- cOutputSerial ----------------------------------------------------------

class cOutputSerial : public cAtmoOutput {
private:
  int dev_handle;
public:
  cOutputSerial();
  virtual bool Open(const char* param);
  virtual bool Close(void);
  virtual bool OutputColors(const tColorPacket col);
};

#endif //_ATMO_OUTPUTSERIAL_H
